QJournalProtocolProtos.SegmentStateProto.Builder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, class: SegmentStateProto, class: Builder

Package org.apache.hadoop.hdfs.qjournal.protocol

# Class QJournalProtocolProtos.SegmentStateProto.Builder

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder
org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<BuilderT>
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>
org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.SegmentStateProto.Builder

All Implemented Interfaces:
  `Cloneable`, `QJournalProtocolProtos.SegmentStateProtoOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  QJournalProtocolProtos.SegmentStateProto

public static final class QJournalProtocolProtos.SegmentStateProto.Builder extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder> implements QJournalProtocolProtos.SegmentStateProtoOrBuilder
Protobuf type `hadoop.hdfs.qjournal.SegmentStateProto`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `QJournalProtocolProtos.SegmentStateProto`
  `build()`
  `QJournalProtocolProtos.SegmentStateProto`
  `buildPartial()`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `clear()`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `clearEndTxId()`
  `required uint64 endTxId = 2;`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `clearIsInProgress()`
  `required bool isInProgress = 3;`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `clearStartTxId()`
  `required uint64 startTxId = 1;`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `clone()`
  `QJournalProtocolProtos.SegmentStateProto`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `long`
  `getEndTxId()`
  `required uint64 endTxId = 2;`
  `boolean`
  `getIsInProgress()`
  `required bool isInProgress = 3;`
  `long`
  `getStartTxId()`
  `required uint64 startTxId = 1;`
  `boolean`
  `hasEndTxId()`
  `required uint64 endTxId = 2;`
  `boolean`
  `hasIsInProgress()`
  `required bool isInProgress = 3;`
  `boolean`
  `hasStartTxId()`
  `required uint64 startTxId = 1;`
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `mergeFrom(QJournalProtocolProtos.SegmentStateProto other)`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)`
  `final QJournalProtocolProtos.SegmentStateProto.Builder`
  `mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `setEndTxId(long value)`
  `required uint64 endTxId = 2;`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `setIsInProgress(boolean value)`
  `required bool isInProgress = 3;`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `QJournalProtocolProtos.SegmentStateProto.Builder`
  `setStartTxId(long value)`
  `required uint64 startTxId = 1;`
  `final QJournalProtocolProtos.SegmentStateProto.Builder`
  `setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`

  - ### clear

    public QJournalProtocolProtos.SegmentStateProto.Builder clear()
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`

  - ### getDescriptorForType

    public org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`

  - ### getDefaultInstanceForType

    public QJournalProtocolProtos.SegmentStateProto getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

  - ### build

    public QJournalProtocolProtos.SegmentStateProto build()
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### buildPartial

    public QJournalProtocolProtos.SegmentStateProto buildPartial()
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### clone

    public QJournalProtocolProtos.SegmentStateProto.Builder clone()
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`

  - ### setField

    public QJournalProtocolProtos.SegmentStateProto.Builder setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`

  - ### clearField

    public QJournalProtocolProtos.SegmentStateProto.Builder clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`

  - ### clearOneof

    public QJournalProtocolProtos.SegmentStateProto.Builder clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`

  - ### setRepeatedField

    public QJournalProtocolProtos.SegmentStateProto.Builder setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`

  - ### addRepeatedField

    public QJournalProtocolProtos.SegmentStateProto.Builder addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`

  - ### mergeFrom

    public QJournalProtocolProtos.SegmentStateProto.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`

  - ### mergeFrom

    public QJournalProtocolProtos.SegmentStateProto.Builder mergeFrom(QJournalProtocolProtos.SegmentStateProto other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`

  - ### mergeFrom

    public QJournalProtocolProtos.SegmentStateProto.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`
    Throws:
      `IOException`

  - ### hasStartTxId

    public boolean hasStartTxId()
    `required uint64 startTxId = 1;`
    Specified by:
      `hasStartTxId` in interface `QJournalProtocolProtos.SegmentStateProtoOrBuilder`
    Returns:
      Whether the startTxId field is set.

  - ### getStartTxId

    public long getStartTxId()
    `required uint64 startTxId = 1;`
    Specified by:
      `getStartTxId` in interface `QJournalProtocolProtos.SegmentStateProtoOrBuilder`
    Returns:
      The startTxId.

  - ### setStartTxId

    public QJournalProtocolProtos.SegmentStateProto.Builder setStartTxId(long value)
    `required uint64 startTxId = 1;`
    Parameters:
      `value` - The startTxId to set.
    Returns:
      This builder for chaining.

  - ### clearStartTxId

    public QJournalProtocolProtos.SegmentStateProto.Builder clearStartTxId()
    `required uint64 startTxId = 1;`
    Returns:
      This builder for chaining.

  - ### hasEndTxId

    public boolean hasEndTxId()
    `required uint64 endTxId = 2;`
    Specified by:
      `hasEndTxId` in interface `QJournalProtocolProtos.SegmentStateProtoOrBuilder`
    Returns:
      Whether the endTxId field is set.

  - ### getEndTxId

    public long getEndTxId()
    `required uint64 endTxId = 2;`
    Specified by:
      `getEndTxId` in interface `QJournalProtocolProtos.SegmentStateProtoOrBuilder`
    Returns:
      The endTxId.

  - ### setEndTxId

    public QJournalProtocolProtos.SegmentStateProto.Builder setEndTxId(long value)
    `required uint64 endTxId = 2;`
    Parameters:
      `value` - The endTxId to set.
    Returns:
      This builder for chaining.

  - ### clearEndTxId

    public QJournalProtocolProtos.SegmentStateProto.Builder clearEndTxId()
    `required uint64 endTxId = 2;`
    Returns:
      This builder for chaining.

  - ### hasIsInProgress

    public boolean hasIsInProgress()
    `required bool isInProgress = 3;`
    Specified by:
      `hasIsInProgress` in interface `QJournalProtocolProtos.SegmentStateProtoOrBuilder`
    Returns:
      Whether the isInProgress field is set.

  - ### getIsInProgress

    public boolean getIsInProgress()
    `required bool isInProgress = 3;`
    Specified by:
      `getIsInProgress` in interface `QJournalProtocolProtos.SegmentStateProtoOrBuilder`
    Returns:
      The isInProgress.

  - ### setIsInProgress

    public QJournalProtocolProtos.SegmentStateProto.Builder setIsInProgress(boolean value)
    `required bool isInProgress = 3;`
    Parameters:
      `value` - The isInProgress to set.
    Returns:
      This builder for chaining.

  - ### clearIsInProgress

    public QJournalProtocolProtos.SegmentStateProto.Builder clearIsInProgress()
    `required bool isInProgress = 3;`
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final QJournalProtocolProtos.SegmentStateProto.Builder setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`

  - ### mergeUnknownFields

    public final QJournalProtocolProtos.SegmentStateProto.Builder mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.SegmentStateProto.Builder>`